DatecJobmarket = {
	initFormFields: function() {
		DatecJobmarketTranslate.setLang($("#lang").val());
		
		$('#title').rules("add", {
	    	required: true,
	    	maxlength: $('#titleMaxLength').val(),
			messages: {
				required: DatecJobmarketTranslate.getLanguageString("requireTitle"),
				maxlength: DatecJobmarketTranslate.getLanguageString("maxLengthTitle"),
	        }
	    });
	    $('#email').rules("add", {
	    	required: true,
	    	email: true,
			messages: {
				required: DatecJobmarketTranslate.getLanguageString("requireEmail"),
				email: DatecJobmarketTranslate.getLanguageString("mailFormate"),
	        }
	    });
	    if($('#password').length) {
		    $('#password').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requirePassword"),
		        }
		    });
	    }
	    if ($('#usageAgreement').length) { 
	    	$('#usageAgreement').rules("add", {
				required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireAgreement"),
				}
			});
	    }
	    if ($('.jobgroups').length) { 
		    $('.jobgroups').each(function() {
				$(this).rules("add", {
					required: false,
					checkOneOfGroup: '.jobgroups',
					messages: {
						checkOneOfGroup: DatecJobmarketTranslate.getLanguageString("requireJobgroups"),
					}
				});
			});
	    }
	    if ($('.qualifications.required').length) { 
		    $('.qualifications.required').each(function() {
				$(this).rules('add', {
					required: false,
					checkOneOfGroup: '.qualifications',
					messages: {
						checkOneOfGroup: DatecJobmarketTranslate.getLanguageString("requireQualification"),
					}
				});
			});
	    }
	    if ($('#contact.required').length) { 
		    $('#contact.required').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireContact"),
		        }
		    });
	    }	    
	    if ($('#workarea').length) { 
		    $('#workarea').rules("add", {
		    	zipcodeList: true,
				messages: {
					zipcodeList:  DatecJobmarketTranslate.getLanguageString("numberOnlyWorkarea"),
		        }
		    });
		    if ($('#workarea.required').length) { 
			    $('#workarea.required').rules("add", {
			    	required: true,
					messages: {
						required: DatecJobmarketTranslate.getLanguageString("requireWorkarea"),
			        }
			    });
		    }
	    }
	    if ($('#beginfrom').length) {
	    	$('#beginfrom').datepicker();
	    	$('#beginfrom').rules("add", {
		    	dateDE: true,
				messages: {
					dateDE: DatecJobmarketTranslate.getLanguageString("dateFormate"),
		        }
		    });
	    	if ($('#beginfrom.required').length) {
				$('#beginfrom.required').rules("add", {
			    	required: true,
					messages: {
						required: DatecJobmarketTranslate.getLanguageString("requireBeginFrom"),
			        }
			    });
	    	}
	    }
	    if ($('#limitedto').length) {
	    	$('#limitedto').datepicker();
	    	$('#limitedto').rules("add", {
		    	dateDE: true,
				messages: {
					dateDE: DatecJobmarketTranslate.getLanguageString("dateFormate"),
		        }
		    });
	    	if ($('#limitedto.required').length) {
				$('#limitedto.required').rules("add", {
			    	required: true,
					messages: {
						required: DatecJobmarketTranslate.getLanguageString("requireLimitedto"),
			        }
			    });
	    	}
	    }
	    if ($('#information.required').length) { 
		    $('#information.required').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireInformation"),
		        }
		    });
	    }
	    if ($('#facility.required').length) { 
		    $('#facility.required').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireFacility"),
		        }
		    });
	    }
	    if ($('#facilityType.required').length) { 
		    $('#facilityType.required').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireFacilityType"),
		        }
		    });
	    }
	    if ($('#worktimeType.required').length) { 
		    $('#worktimeType.required').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireWorktimeType"),
		        }
		    });
	    }
	    if ($('#worktime').length) { 
		    $('#worktime').rules("add", {
		    	digits: true,
		    	messages: {
					digits: DatecJobmarketTranslate.getLanguageString("numberOnly"),
		        }
		    });
	   
		    $('#worktime.required').rules("add", {
		    	required: true,
		    	messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireWorktime"),
		        }
		    });
	    }
	    	    
	    if ($('#street.required').length) { 
		    $('#street.required').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireStreet"),
		        }
		    });
	    }	    
	    if ($('#zipcode').length) { 
	    	$('#zipcode').rules("add", {
		    	maxlength: 5,
		    	digits: true,
				messages: {
					maxlength: DatecJobmarketTranslate.getLanguageString("maxNumberZipCode"), 
					digits: DatecJobmarketTranslate.getLanguageString("numberOnly"),
					required: DatecJobmarketTranslate.getLanguageString("requireField"),
		        }
		    });
		    if ($('#zipcode.required').length) { 
			    $('#zipcode.required').rules("add", {
			    	required: true,
					messages: {
						required: DatecJobmarketTranslate.getLanguageString("requireZipcode"),
			        }
			    });
		    }
	    }
	    if ($('#city.required').length) { 
		    $('#city.required').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireCity"),
		        }
		    });
	    }
	    if ($('#phone1').length) {
	    	 $('#phone1').rules("add", {
		    	digits: true,
				messages: {
					digits: DatecJobmarketTranslate.getLanguageString("numberOnly"),
		        }
		    });
		    if ($('#phone1.required').length) { 
			    $('#phone1.required').rules("add", {
			    	required: true,
					messages: {
						required: DatecJobmarketTranslate.getLanguageString("requirePhone1"),
			        }
			    });
		    }
	    }
	    if ($('#phone2').length) {
	    	 $('#phone2').rules("add", {
		    	digits: true,
				messages: {
					digits: DatecJobmarketTranslate.getLanguageString("numberOnly"),
		        }
		    });
		    if ($('#phone2.required').length) { 
			    $('#phone2.required').rules("add", {
			    	required: true,
					messages: {
						required: DatecJobmarketTranslate.getLanguageString("requirePhone2"),
			        }
			    });
		    }
	    }
	    if ($('#fax.required').length) { 
		    $('#fax.required').rules("add", {
		    	required: true,
				messages: {
					required: DatecJobmarketTranslate.getLanguageString("requireFax"),
		        }
		    });
	    }
	},
	initSearchFields: function() {
        $("#zipSearchArea").rules("add", {
        	required: false,
        	onlyDigits: true,
        	maxlength: 5,
			messages: {
				onlyDigits: DatecJobmarketTranslate.getLanguageString("numberOnly"),
				maxlength: DatecJobmarketTranslate.getLanguageString("maxNumberZipCode"),
            }
        });
        $('.jobgroups').click(function (e) {
        	if ($('#jobgroupsAll').prop('checked') && $(this).prop('checked') == false) { // uncheck option all when other option unchecked
        		$('#jobgroupsAll').prop('checked', false);
        	}
        });
        $('#jobgroupsAll').click(function (e) {
        	if ($('#jobgroupsAll').prop('checked')) { // check all
        		$('.jobgroups').each(function () {
        			$(this).prop('checked', true);
        		});
        	} else {
        		$('.jobgroups').each(function () { // uncheck all
        			$(this).prop('checked', false);
        		});
        	}
        });
	},
	switchJobtypeFields: function(removeFields) {
		// the jobtype is a checkbox or in a hidden field
		var jobtype = parseInt($('.jobtype:checked').length ? $('.jobtype:checked').val() : $('#jobtype').val(), 10);
		
		if (jobtype == 1) {
			if (removeFields) {
				if ($('#facility').length) {
					$('label[for="facility"]').parent().remove();
				}
				if ($('#facilityType').length) {
					$('label[for="facilityType"]').parent().remove();
				}
			} else {
				if ($('#facility').length) {
					$('#facility').attr('disabled', true);
					if ($('#facility.required').length) {
						$('label[for="facility"].required').removeClass("required");
						$('#facility.required').rules("add", {required:false});
					}
				}
				if ($('#facilityType').length) {
					$('#facilityType').attr('disabled', true);
					if ($('#facilityType.required').length) {
						$('label[for="facilityType"].required').removeClass("required");
						$('#facilityType.required').rules("add", {required:false});
					}
				}
				if ($('#workarea').length) {
					$('#workarea').attr('disabled', false);
					if ($('#workarea.required').length) {
						$('label[for="workarea"]').addClass("required");
						$('#workarea.required').rules("add", {required:true});
					}
				}
			}
		} else if (jobtype == 2) {
			if (removeFields) {
				if ($('#workarea').length) {
					$('label[for="workarea"]').parent().remove();
				}
			} else {
				if ($('#facility').length) {
					$('#facility').attr('disabled', false);
					if ($('#facility.required').length) {
						$('label[for="facility"]').addClass("required");
						$('#facility.required').rules("add", {required:true});
					}
				}
				if ($('#facilityType').length) {
					$('#facilityType').attr('disabled', false);
					if ($('#facilityType.required').length) {
						$('label[for="facilityType"]').addClass("required");
						$('#facilityType.required').rules("add", {required:true});
					}
				}
				if ($('#workarea').length) {
					$('#workarea').attr('disabled', true);
					if ($('#workarea.required').length) {
						$('label[for="workarea"].required').removeClass("required");
						$('#workarea.required').rules("add", {required:false});
					}
				}
			}			
		}		
	},
	initContactFormFields: function() {
		DatecJobmarketTranslate.setLang($("#lang").val());
		$('#email').rules("add",{
			required: true,
		    email: true,
			messages: {
				required: DatecJobmarketTranslate.getLanguageString("requireEmail"),
				email: DatecJobmarketTranslate.getLanguageString("mailFormate"),
		    }
		});
		
		$("#message").rules("add", {
			required: true,
			messages: {
				required: DatecJobmarketTranslate.getLanguageString("requireMessage"),
			}
		});
	}
}

var lang = {
	"de": {
		"dateFormate": "Bitte geben Sie das Datum im Format tt.mm.jjjj an",
		"mailFormate": "Bitte geben Sie Ihre E-Mail Adresse in folgendem Format an (jemand@beispiel.de)",
		"maxNumberZipCode": "Bitte geben Sie maximal 5 Zahlen an",
		"minLengthTitle": "Der Titel darf {0} Zeichen nicht &uuml;berschreiten",
		"numberOnly": "Bitte geben Sie nur Zahlen an",
		"numberOnlyWorkarea": "Bitte geben Sie nur Zahlen, durch Kommata getrennt, an",
		"requireAgreement": "Sie m&uuml;ssen den Nutzungsbedingungen zustimmen",
		"requireBeginFrom": "Bitte geben Sie den Start der Stellenanzeige an",
		"requireCity": "Bitte geben Sie Ihren Ort an",
		"requireContact": "Bitte geben Sie einen Ansprechpartner an",
		"requireEmail": "Bitte geben Sie eine E-Mail-Adresse an",
		"requireFacility": "Bitte geben Sie eine Arbeitsst&auml;tte an",
		"requireFacilityType": "Bitte geben Sie die Art der Arbeitsst&auml;tte an",
		"requireField": "Dieses Feld ist ein Pflichtfeld.",
		"requireFax": "Bitte geben Sie Ihre Faxnummmer an",
		"requireInformation": "Bitte geben Sie eine Information an",
		"requireJobgroups": "Bitte mindestens eine Position ausw&auml;hlen",
		"requireLimitedto": "Bitte geben Sie das Ende der Stellenanzeige an",
		"requireMessage": "Bitte geben Sie eine Nachricht ein",
		"requirePassword": "Bitte geben Sie ein Passwort an",
		"requirePhone1": "Bitte geben Sie Ihre Telefonnummer an",
		"requirePhone2": "Bitte geben Sie eine weitere Telefonnummer an",
		"requireQualification": "Bitte mindestens eines ausw&auml;hlen",
		"requireStreet": "Bitte geben Sie Ihre Adresse an",
		"requireTitle": "Bitte geben Sie einen Titel an",
		"requireWorkarea": "Bitte geben Sie den T&auml;tigkeitsbereich an",
		"requireWorktime": "Bitte geben Sie eine Arbeitszeit an",
		"requireWorktimeType": "Bitte geben Sie die Art der Arbeitszeit an",
		"requireZipcode": "Bitte geben Sie Ihre Postleitzahl an",			
	},
}

$().ready(function() {
	// checks if at least one element of the group selector is checked, use preferably a class selector as first parameter
	$.validator.addMethod("checkOneOfGroup", function(value, element, selector) {
		if (selector !== false) {
			if ($(selector+':checkbox:checked').length > 0) {
				return true;
			} else {
				return false;
			}
		}
	}, "Please check at least one");
	$.validator.addMethod("zipcodeList", function(value) {
		if (value != "") {
			return value.match("^\[0-9]+(,\[0-9]+)*$");
		}
		return true;
	}, "Please enter a list of zipcodes, separated by commas");
	$.validator.addMethod("dateDE", function(value) {
		if (value != "") {
			var array = value.split('.');
			if (array.length != 3) {
				return false;
			} else if (array[0].length != 2 || isNaN(array[0])) {
				return false;
			} else if (array[1].length != 2 || isNaN(array[0])) {
				return false;
			} else if (array[2].length != 4 || isNaN(array[0])) {
				return false;
			}
		}
		return true;
	}, "Please enter a date in the format dd.mm.yyyy (DE)");
	// digits including 0
	$.validator.addMethod("onlyDigits",
        function(value, element) {
		 	var re = new RegExp('\[0-9]+');
        	return this.optional(element) || re.test(value) || value == '';
        },
        "Please check your input."
	);
	$.datepicker.setDefaults($.datepicker.regional['de']);
	if ($("#SearchForm").length) { 
		$("#SearchForm").validate();
		DatecJobmarket.initSearchFields();
		$('#searchButton').click(function (event) {
			event.preventDefault();
			var valid = $("#SearchForm").valid();
			if (valid) {
			   $("#SearchForm").submit();
			}
		});
	}
	if ($("#newForm").length) { 
		$("#newForm").validate();
		DatecJobmarket.initFormFields();
		DatecJobmarket.switchJobtypeFields(false); // don't remove only disable
		$('#createButton').click(function (event) {
			event.preventDefault();
			var valid = $("#newForm").valid();
			if (valid) {
			   $("#newForm").submit();
			}
		});
	}
	if ($("#updateForm").length) { 
		$("#updateForm").validate();
		DatecJobmarket.initFormFields();
		DatecJobmarket.switchJobtypeFields(true);	// with remove option
		$('#updateButton').click(function (event) {
		
			var valid = $("#updateForm").valid();
			if (valid) {
			   $("#updateForm").submit();
			} else {
				event.preventDefault();
			}
			
		});
	}
});
       
        
  