<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Datec.' . $_EXTKEY,
	'Jobmarket',
	'Datec Stellenmarkt'
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Datec Stellenmarkt');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_datecjobmarket_domain_model_jobentry');
$TCA['tx_datecjobmarket_domain_model_jobentry'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry',
		'label' => 'title',
		'label_alt' => 'jobtype',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'jobtype,title,information,jobgroups,qualifications,contact,facility,facility_type,workarea,street,zipcode,city,phone1,phone2,fax,email,password',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Jobentry.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_datecjobmarket_domain_model_jobentry.gif'
	),
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_datecjobmarket_domain_model_jobgroup');
$TCA['tx_datecjobmarket_domain_model_jobgroup'] = array(
	'ctrl' => array(
		'sortby' => 'sorting',
		'title'	=> 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobgroup',
		'label' => 'name',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
		),
		'searchFields' => 'name',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Jobgroup.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_datecjobmarket_domain_model_jobgroup.gif'
	),
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_datecjobmarket_domain_model_facilitytype');
$TCA['tx_datecjobmarket_domain_model_facilitytype'] = array(
	'ctrl' => array(
		'sortby' => 'sorting',
		'title'	=> 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.facilityType',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
		),
		'searchFields' => 'name',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/FacilityType.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_datecjobmarket_domain_model_facilitytype.gif'
	),
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_datecjobmarket_domain_model_qualification');
$TCA['tx_datecjobmarket_domain_model_qualification'] = array(
	'ctrl' => array(
		'sortby' => 'sorting',
		'title'	=> 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.qualification',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
		),
		'searchFields' => 'name',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Qualification.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_datecjobmarket_domain_model_qualification.gif'
	),
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_datecjobmarket_domain_model_worktimetype');
$TCA['tx_datecjobmarket_domain_model_worktimetype'] = array(
	'ctrl' => array(
		'sortby' => 'sorting',
		'title'	=> 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.worktimeType',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
		),
		'searchFields' => 'name, short_name',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/WorktimeType.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_datecjobmarket_domain_model_worktimetype.gif'
	),
);

?>